## Copyright (C) 1994, 1995 Graeme Wilford.
## Copyright (C) 2001, 2002, 2003, 2007 Colin Watson.
## Much of the following is based on automake/lib/am/mans.am, which is:
## Copyright (C) 1998, 2001, 2003, 2004, 2006 Free Software Foundation, Inc.
##
## This file is part of man-db.
##
## man-db is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## man-db is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with man-db; if not, write to the Free Software Foundation,
## Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CLEANFILES = $(man1_MANS) $(man5_MANS) $(man8_MANS)

.man1.1: $(top_builddir)/man/replace.sed
	$(MKDIR_P) man1
	sed -f $(top_builddir)/man/replace.sed $< > $@
.man5.5: $(top_builddir)/man/replace.sed
	$(MKDIR_P) man5
	sed -f $(top_builddir)/man/replace.sed $< > $@
.man8.8: $(top_builddir)/man/replace.sed
	$(MKDIR_P) man8
	sed -f $(top_builddir)/man/replace.sed $< > $@

install-data-local:
	@set -e; \
	for s in 1 5 8; do \
		test -z "$(mandir)" || $(MKDIR_P) "$(DESTDIR)$(mandir)/$(LANGUAGE)/man$$s"; \
	done; \
	list='$(man1_MANS) $(man8_MANS)'; \
	for i in $$list; do \
		ext=`echo $$i | sed -e 's/^.*\\.//'`; \
		inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
		inst=`echo $$inst | sed -e 's/^.*\///'`; \
		inst=`echo $$inst | sed '$(transform)'`.$$ext; \
		echo " $(INSTALL_DATA) '$$i' '$(DESTDIR)$(mandir)/$(LANGUAGE)/$$inst'"; \
		$(INSTALL_DATA) "$$i" "$(DESTDIR)$(mandir)/$(LANGUAGE)/$$inst"; \
	done; \
	list='$(man5_MANS)'; \
	for i in $$list; do \
		echo " $(INSTALL_DATA) '$$i' '$(DESTDIR)$(mandir)/$(LANGUAGE)/$$i'"; \
		$(INSTALL_DATA) "$$i" "$(DESTDIR)$(mandir)/$(LANGUAGE)/$$i"; \
	done

uninstall-local:
	@list='$(man1_MANS) $(man8_MANS)'; \
	for i in $$list; do \
		ext=`echo $$i | sed -e 's/^.*\\.//'`; \
		inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
		inst=`echo $$inst | sed -e 's/^.*\///'`; \
		inst=`echo $$inst | sed '$(transform)'`.$$ext; \
		echo " rm -f '$(DESTDIR)$(mandir)/$(LANGUAGE)/$$inst'"; \
		rm -f "$(DESTDIR)$(mandir)/$(LANGUAGE)/$$inst"; \
	done; \
	list='$(man5_MANS)'; \
	for i in $$list; do \
		echo " rm -f '$(DESTDIR)$(mandir)/$(LANGUAGE)/$$i'"; \
		rm -f "$(DESTDIR)$(mandir)/$(LANGUAGE)/$$i"; \
	done

mostlyclean-local:
	-rm -f index.*

dist-hook:
	@list='$(man1_MANS) $(man5_MANS) $(man8_MANS)'; \
	dist_files=`for file in $$list; do \
			echo $$file | sed 's/\.\([0-9]\)/.man\1/'; \
		    done`; \
	$(MKDIR_P) `echo "$$dist_files" | \
		    sed 's|^|$(distdir)/|;s,/[^/]*$$,,' | \
		    sort -u`; \
	for file in $$dist_files; do \
		test -f $(distdir)/$$file \
		|| cp -p $(srcdir)/$$file $(distdir)/$$file \
		|| exit 1; \
	done
